Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opencyc.uml
Class ImportUmlModel

    java.lang.Object
      |
      +--org.opencyc.uml.ImportUmlModel

public class ImportUmlModel
extends java.lang.Object

Imports the UML model, in XMI format.

Author:
  Stephen L. Reed

  Copyright 2001 Cycorp, Inc., license is open source GNU LGPL.

  the license

  www.opencyc.org

  OpenCyc at SourceForge

  THIS SOFTWARE AND KNOWLEDGE BASE CONTENT ARE PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE OPENCYC ORGANIZATION OR ITS CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE AND KNOWLEDGE BASE CONTENT, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

Field Summary
`protected org.jdom.input.SAXBuilder` | `saxBuilder` the SAXBuilder instance

Constructor Summary
`ImportUmlModel()` Constructs a new ImportUmlModel object given the name of the SaxDriver class.

Method Summary
`void` | `importContent(org.jdom.Element content)` Imports the UML content info given the content element.
`void` | `importHeader(org.jdom.Element header)` Imports the UML model version info given the header element.
`void` | `importModel(java.lang.String umlModelPath)` Imports the UML model given the path its file.
`void` | `importPackage(org.jdom.Element packageElement)` Imports the UML model version info given the package element.
`static void` | `main(java.lang.String[] args)` Provides the main method for the ImportUmlModel application.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### saxBuilder

    protected org.jdom.input.SAXBuilder saxBuilder

  the SAXBuilder instance

Constructor Detail

### ImportUmlModel

    public ImportUmlModel()

  Constructs a new ImportUmlModel object given the name of the SaxDriver class.

Method Detail

### main

    public static void main(java.lang.String[] args)

  Provides the main method for the ImportUmlModel application.
  Parameters:
    `args` - optionally provide the path to the UML model

### importModel

    public void importModel(java.lang.String umlModelPath)
                     throws org.jdom.JDOMException

  Imports the UML model given the path its file.
  Parameters:
    `umlModelPath` - the path the uml model file in xmi format

### importHeader

    public void importHeader(org.jdom.Element header)

  Imports the UML model version info given the header element.
  Parameters:
    `header` - the UML header element

### importContent

    public void importContent(org.jdom.Element content)

  Imports the UML content info given the content element.
  Parameters:
    `content` - the UML content element

### importPackage

    public void importPackage(org.jdom.Element packageElement)

  Imports the UML model version info given the package element.
  Parameters:
    `packageElement` - the UML package element

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD